package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 结算证明 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvSettlementProveDao;
import com.heyu.api.data.entity.vv.VvSettlementProveEntity;
import com.heyu.api.data.service.vv.VvSettlementProveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvSettlementProveServiceImpl extends ServiceImpl<VvSettlementProveDao, VvSettlementProveEntity> implements VvSettlementProveService {


    @Autowired
	private VvSettlementProveDao vvSettlementProveDao;



	@Override
	public VvSettlementProveEntity selectVvSettlementProveById(Long id){
		return vvSettlementProveDao.selectVvSettlementProveById(id);
	}



	@Override
	public Long insertVvSettlementProve(VvSettlementProveEntity vvSettlementProve){
		return vvSettlementProveDao.insertVvSettlementProve(vvSettlementProve);
	}



	@Override
	public Long insertOrUpdateVvSettlementProve(VvSettlementProveEntity vvSettlementProve){
		return vvSettlementProveDao.insertOrUpdateVvSettlementProve(vvSettlementProve);
	}



	@Override
	public int updateVvSettlementProveById(VvSettlementProveEntity vvSettlementProve){
		return vvSettlementProveDao.updateVvSettlementProveById(vvSettlementProve);
	}



	@Override
	public int updateCoverVvSettlementProveById(VvSettlementProveEntity vvSettlementProve){
		return vvSettlementProveDao.updateCoverVvSettlementProveById(vvSettlementProve);
	}



	@Override
	public int deleteVvSettlementProveById(Long id){
		return vvSettlementProveDao.deleteVvSettlementProveById(id);
	}



}
